@import url('https://fonts.googleapis.com/css2?family=Open+Sans&family=Roboto&display=swap');


body{
  background: #ffffff;
  font-family: "Open Sans", Roboto, sans-serif;
  font-size: 13px;
}
th {
  position: -webkit-sticky;
  position: sticky;
  top: 55px;
  z-index: 2;
  background-color: #575c72;
}
.negative-top-th{
  top: 0;
}
tr th{
  color: white;
  background-color: #575c72;
}


.modal-header .close {
  margin-top: -25px;
}
.table th.odd-col {
  border: 1px solid rgba(0,0,0,0.4);
}
.table th.even-col {
  border: 1px solid rgba(0,0,0,0.4);
}

.table tr{
  /*white-space: nowrap;*/
}
.multiselect-dropdown[_ngcontent-c2] .dropdown-btn[_ngcontent-c2] .dropdown-down[_ngcontent-c2] {
  border-top: 4px solid #adadad;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
}

.multiselect-dropdown[_ngcontent-c2] .dropdown-btn[_ngcontent-c2] .dropdown-up[_ngcontent-c2] {
  display: inline-block;
  width: 0;
  height: 0;
  border-bottom: 4px solid #adadad;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
}


.master-content{
  margin-top: 58px;
  margin-left: 0px;
  margin-right: 0px;
}
.my-nav-header,.sidebardiv{
  min-width: 180px;
}
.navbar,.master-content{
  padding-left: 0px;
  padding-right: 0px;
  background: #fff;
}
.nopadding{
  padding: 0px;
}
.navbar-fixed-top{ border-width: 0px; }
.sidebardiv{
  z-index: 1050;
  position: fixed;
}
.calenderdiv{
  overflow: unset;
}

.outstanding-balance:hover{
  cursor: pointer;
  background-color: #e4e4e4;
}

.defaulter-customer:hover{
  cursor: pointer;
  background-color: #e4e4e4;
}

.clear{
  clear: both;
}
.lastChild,.lastChild .col-sm-6:last-child{ padding-right: 0px;}
/****** 404 page******/
.panel.not-found-page{
  min-height: calc(100vh - 120px);
}
/*********Panel****************/
.panel{
  min-height: calc(100vh - 180px);
}
.main-content .panel:first-child{ min-height: 30px;}
.panel{ margin-bottom: 12px; }
/*****************btn***********/
td .btn{
  margin-top: 2px;
  margin-bottom: 2px;
}
.btn i{ margin-right: 5px; }
/*.btn.btn-1{
	background-color: rgb(246,154,52,0.8);
    border-color: #F69A34;
    color: white;
}
.btn.btn-1:hover{
	color: white;
    background-color: rgb(246,154,52,1);
    border-color: #F69A34;
}
.btn.btn-1::before{	background-color: rgb(246,154,52,1); }
.btn.btn-2{
	color: white;
    background-color: rgb(65,64,66,0.85);
    border-color: rgb(52,51,53);
}
.btn.btn-2::before{  background-color: rgb(52,51,53); }
.btn.btn-2:hover{
	color: white;
    background-color: rgb(52,51,53);
    border-color: rgb(52,51,53);
}
.btn{ padding-right: 10px; padding-left: 10px;  }
.btn:hover{ /*border-radius: 10px;}*/
.btn-show{
  color: #fff;
  background-color: #337ab7;
  border-color: #2e6da4;
}
.btn-show:hover {
  color: #fff;
  background-color: #286090;
  border-color: #204d74;
}
.btn-info-1{
  color: #fff;
  background-color: #31b0d5;
  border-color: #269abc;
}
.btn-info-1:hover{
  color: #fff;
  background-color: #269abc;
  border-color: #1b6d85;
}
/**********Navigation************/
.logo-container{ margin-top: 8px; }
.my-nav-header{ margin-top: -58px; width: 100%; }
.ngx-pagination .current{
  background: #f69A34 !important;
}
#myNavbar{
  height: 58px;
}
/************main-sidebar*************/
.main-sidebar {
  position: relative;
  width: 100%;
  height: calc( 100vh - 58px);
  margin: 0px;
  background-color: #414042;
}
.sidebar {
  width: 100%;
  height: 100%;
  overflow-y: scroll;
}
.sub-sidebar{ height: max-content; width:  auto; overflow: hidden; }
.has-child:hover .dropdownMenu{ display: block; }
.dropdownMenu {
  position: absolute;
  color: white;
  left: 92%;
  width: 100%;
  margin-top: -40px;
  display: none;
  border-left: 4px solid #e67e22;
}
.sidebar ul{
  padding: 0px;
  list-style: none;
}
.sidebar ul ul{ display: none; }
.sidebar .open + ul,.sidebar .open + ul ul:not(.dropdownMenu){
  display: block;
}
.sidebar a{
  background-color: #414042;
  font-size: 11px;
  color: #fff;
  padding: 12px 20px;
  display: block;
  text-align: left;
  -webkit-transition: background .3s,color .3s;
  -moz-transition: background .3s,color .3s;
  -o-transition: background .3s,color .3s;
  transition: background .3s,color .3s;
  font-size: 11px;
}
.sidebar a:hover,.sidebar .activeLink a:hover,.sidebar a.open,.sidebar .child-has-focus>a,.activeLi >a{
  background-color: #343335;
  color: #f69A34;
}

.sidebar  .activeLink > a{
  background-color: #343335;
  color: #f69A34;
}
.sidebar a i{
  padding-right: 15px;
  width: 20px;
  font-size: 13px;
  text-align: center;
  -webkit-transition: text-indent .1s;
  -moz-transition: text-indent .1s;
  -o-transition: text-indent .1s;
  transition: text-indent .1s;
}
.sidebar a span{
  -webkit-transition: text-indent .1s;
  -moz-transition: text-indent .1s;
  -o-transition: text-indent .1s;
  transition: text-indent .1s;
  display: inline-block;
}
.sub-sidebar li:hover > a > span, .sub-sidebar li:hover > a > i{
  text-indent: 3px;
}
.sidebar ul .open + ul ul:not(.dropdownMenu) a{ padding-left: 45px; padding-right: 5px; }
.sidebar ul.dropdownMenu a{ padding-left: 25px !important; }

.sub-sidebar li.has-child:hover > a:after  {
  /* right: 8px;
   border: 8px solid transparent;
   content: " ";
   height: 0;
   width: 0;
   position: absolute;
   pointer-events: none;
   border-right-color: #e67e22;
   margin-top: 0px; */
}
/********Scroll bar******/

.main-sidebar ::-webkit-scrollbar ,.outletdiv ::-webkit-scrollbar {  width: 10px; }
.main-sidebar ::-webkit-scrollbar-track,.outletdiv ::-webkit-scrollbar-track{  background: #414042;  }
.main-sidebar ::-webkit-scrollbar-thumb,.outletdiv ::-webkit-scrollbar-thumb{    background: #555;  }
.main-sidebar ::-webkit-scrollbar-thumb:hover,.outletdiv ::-webkit-scrollbar-thumb{    background: #888;  }
/***********header************/
.header-avatar .fas{
  color: #fff;
  margin-top: 7px;
  margin-left: 2px;
}
.header-avatar:hover{
  /*background-color: #ed810a;*/
  cursor: pointer;
}
.logo-container-sm{ display: none; }
/**
 * Tooltip Styles
 */

/* Add this attribute to the element that needs a tooltip */
/* Base styles for the element that has a tooltip */
[data-tooltip]{
  position: relative;
  cursor: pointer;
}

/* Base styles for the entire tooltip */
[data-tooltip]:before,
[data-tooltip]:after{
  position: absolute;
  visibility: hidden;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
  opacity: 0;
  -webkit-transition:
    opacity 0.2s ease-in-out,
    visibility 0.2s ease-in-out,
    -webkit-transform 0.2s cubic-bezier(0.71, 1.7, 0.77, 1.24);
  -moz-transition:
    opacity 0.2s ease-in-out,
    visibility 0.2s ease-in-out,
    -moz-transform 0.2s cubic-bezier(0.71, 1.7, 0.77, 1.24);
  transition:
    opacity 0.2s ease-in-out,
    visibility 0.2s ease-in-out,
    transform 0.2s cubic-bezier(0.71, 1.7, 0.77, 1.24);
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform:    translate3d(0, 0, 0);
  transform:         translate3d(0, 0, 0);
  pointer-events: none;
}

/* Show the entire tooltip on hover and focus */
[data-tooltip]:hover:before,
[data-tooltip]:hover:after,
[data-tooltip]:focus:before,
[data-tooltip]:focus:after {
  visibility: visible;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
  filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
  opacity: 1;
}

/* Base styles for the tooltip's directional arrow */
[data-tooltip]:before {
  z-index: 1001;
  border: 6px solid transparent;
  background: transparent;
  content: "";
}

/* Base styles for the tooltip's content area */
[data-tooltip]:after {
  z-index: 1000;
  padding: 8px;
  width: 80px;
  background-color: #f69A34;
  color: #fff;
  content: attr(data-tooltip);
  font-size: 14px;
  line-height: 1.2;
}

/* Directions */

/* Top (default) */
[data-tooltip]:before,
[data-tooltip]:after{
  bottom: 100%;
  left: 50%;
}

[data-tooltip]:before {
  margin-left: -6px;
  margin-bottom: -12px;
  border-top-color: #f69A34;
}

/* Horizontally align top/bottom tooltips */
[data-tooltip]:after {
  margin-left: -40px;
}

[data-tooltip]:hover:before,
[data-tooltip]:hover:after,
[data-tooltip]:focus:before,
[data-tooltip]:focus:after {
  -webkit-transform: translateY(-12px);
  -moz-transform:    translateY(-12px);
  transform:         translateY(-12px);
}

/* Bottom */
.tooltip-bottom:before,
.tooltip-bottom:after {
  top: 100%;
  bottom: auto;
  left: 50%;
}

.tooltip-bottom:before {
  margin-top: -12px;
  margin-bottom: 0;
  border-top-color: transparent;
  border-bottom-color: #f69A34;
}

.tooltip-bottom:hover:before,
.tooltip-bottom:hover:after,
.tooltip-bottom:focus:before,
.tooltip-bottom:focus:after {
  -webkit-transform: translateY(12px);
  -moz-transform:    translateY(12px);
  transform:         translateY(12px);
}
/*******calender******/
.mydp .selectedday .datevalue, .mydp .selectedmonth .monthvalue, .mydp .selectedyear .yearvalue{
  background-color: rgba(246, 154, 52, 0.5) !important;
}
/*********Footer*********/
.copyText{ padding-top: 10px; }
.custom-footer{ position: relative; }
footer.custom-footer{
  border-top: 1px solid rgba(0,0,0,.07);
  background: transparent;
  padding-bottom: 15px;
}
@media(max-width: 1140px){
	.outletdiv {
	    max-width: calc( 100% - 180px);
	}
	.tableDiv{
		/*overflow-x: auto;*/
		width: 100%;
	}
}
@media(max-width: 1050px){
  .both-sidebar nav > ul > li.open nav ul:not(.dropdown-menu)>li>a {
    padding-left: 40px;
  }
  .lastChild{ clear: both; min-width: 512px; }
}
@media(max-width: 850px){
  .master-content{ margin-top: 58px; }
  .navbar-toggle .icon-bar{ width: 18px; }
}
@media(max-width: 770px){
  .navbar-nav{ display: none;}
  .sidebardiv{ width: 180px; }
  .outletdiv {
    max-width: 100%;
  }
  .navbar-toggle{
    margin-top: 15px;
    margin-right: 8px;
    display: none;
  }
  span.org-name{ margin-top: 10px; }
  .header-avatar{
    margin-top: 8px;
    margin-right: 8px;
  }
  .form-group {
    margin-bottom: 8px;
    float: left;
    /*width: 50%;*/
  }
  .col-sm-3{
    width: 50%;
  }
  .lastChild{ width: 80%; }
  .lastChild span{ width: 50%; }
}
@media(max-width: 767px){
  .my-nav-header{	background-color: #414042; }
  .openSidebar .brands,.openSidebar .main-sidebar{ display: block; }
  .openSidebar .my-nav-header{ background: #f69A34; }
  .main-sidebar{ display: none;}
  .brands{ display: none;}
  .navbar-toggle{
    float: left;
    margin-left: 8px;
    margin-top: -45px;
    display: block;
  }
  .navbar-toggle .icon-bar{
    background-color: #fff;
  }
  .logo-container-sm{
    display: flex;
    justify-content: flex-end;
    gap: 50px;
    margin-top: 10px;
    padding-left: 0px;
  }

  .master-content{
    overflow: hidden;
  }
  .outletdiv ,.navbar-toggle,.brands,.logo-container-sm{
    -webkit-transition: -webkit-transform 300ms cubic-bezier(0.7, 0, 0.3, 1);
    -moz-transition: -moz-transform 300ms cubic-bezier(0.7, 0, 0.3, 1);
    -o-transition: -o-transform 300ms cubic-bezier(0.7, 0, 0.3, 1);
    transition: transform 300ms cubic-bezier(0.7, 0, 0.3, 1);
  }
  .openSidebar .main-sidebar{
    -webkit-transform: translate(0%, 0);
    -moz-transform: translate(0%, 0);
    -o-transform: translate(0%, 0);
    -ms-transform: translate(0%, 0);
    transform: translate(0%, 0);
    -webkit-transform: translate3d(0%, 0, 0);
    -moz-transform: translate3d(0%, 0, 0);
    -o-transform: translate3d(0%, 0, 0);
    -ms-transform: translate3d(0%, 0, 0);
    transform: translate3d(0%, 0, 0);
  }
  .openSidebar .outletdiv,.openSidebar .navbar-toggle{
    -webkit-transform: translate(180px, 0);
    -moz-transform: translate(180px, 0);
    -o-transform: translate(180px, 0);
    -ms-transform: translate(180px, 0);
    transform: translate(180px, 0);
    -webkit-transform: translate3d(180px, 0, 0);
    -moz-transform: translate3d(180px, 0, 0);
    -o-transform: translate3d(180px, 0, 0);
    -ms-transform: translate3d(180px, 0, 0);
    transform: translate3d(180px, 0, 0);
  }
}
@media(max-width: 580px){
  .openSidebar .logo-container-sm img{ display: none; }
  body{ min-width: 450px;}
}
@media(max-width: 580px){ .lastChild{ width: 100%; min-width: 100%; } }
@media(max-width: 480px){
  body{ min-width: 320px; }
  .form-group.pull-right{ float: none !important; }
  .form-group{
    padding-left: 0px;
    padding-right: 0px;
    margin-bottom: 8px;
    float: left;
    width: 100%;
  }
  .panel{ margin-bottom: 12px; }
  .ccc .col-md-12{	padding: 0px;	}
  .lastChild{ width: 100%; min-width: 100%; }
  .lastChild span{ width: 100%; }
}
@media screen and (-webkit-min-device-pixel-ratio:0){
  .dropdownMenu{ left: 95%; }
}
#multiselect .multiselect-dropdown[_ngcontent-c1] .dropdown-btn[_ngcontent-c1] .selected-item[_ngcontent-c1] {
  border: 0px solid ;
}

#multiselect .multiselect-dropdown[_ngcontent-c1] .dropdown-btn[_ngcontent-c1] .dropdown-down[_ngcontent-c1] {
  display: inline-block;
  top: 10px;
  width: 0;
  height: 0;
  border-top: 5px solid grey;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
}

#multiselect .multiselect-dropdown[_ngcontent-c1] .dropdown-btn[_ngcontent-c1] .dropdown-up[_ngcontent-c1] {
  display: inline-block;
  top: 10px;
  width: 0;
  height: 0;
  border-bottom: 0px;
  border-top: 5px solid grey;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
}

#multiselect .multiselect-dropdown[_ngcontent-c1] .dropdown-btn[_ngcontent-c1] {
  border: 1px solid #ccc;
}
#multiselect .multiselect-dropdown .dropdown-list {
  position: absolute;
  padding-top: 6px;
  width: 100%;
  /*z-index: 6;*/
  border: 1px solid #ccc;
  border-radius: 3px;
  background: #fff;
  margin-top: 10px;
  box-shadow: 0 1px 5px #959595;
}

#first {
  width: 220px;
  height: 180px;
  background: chartreuse;
  overflow: hidden;
  text-align: center;
}
#first #second{
  position: relative;
  width: 50%;
  height: 50%;
  margin: auto;
  margin-top: 15%;
  background: aquamarine;
  text-align: center;
}
.mydp, .mydp .headertodaybtn {
  border: 1px solid #aba8a8 !important;
}

.app-version{
  text-align: center;
  color: white;
  position: absolute;
  bottom: 22px;
  left: 56px;
}
.show {
  background: rgba(0, 0, 0, 0.22);
}

td{
  border: none !important;
  box-shadow: 1px 1px 0px .2px rgb(183, 183, 183) !important;
  /*-webkit-box-shadow: 1px 1px 0px .2px rgb(145, 145, 145) !important;*/
  /*-moz-box-shadow: 1px 1px 0px .2px rgb(145, 145, 145) !important;*/
}

table {
  border-left: .2px solid rgb(183, 183, 183) !important;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #8e8e8e !important;
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #F69A34 !important;
  cursor: pointer !important;
}

.modal-content-scroll {
  overflow-y: scroll; max-height: 500px
}

.token-box{
  border: 1px solid #f69b3c;
  padding: 10px;
}


/*Custom CSS Loader*/

.lds-dual-ring {
  display: inline-block;
  width: 80px;
  height: 80px;
}
.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 64px;
  height: 64px;
  margin: 8px;
  border-radius: 50%;
  border: 6px solid #fff;
  border-color: #1475ce transparent #1577da transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
